%define oversion 2.6.1

Summary:	A tool for creating scanners (text pattern recognizers)
Name:		flex
Version:	2.6.2
Release:	%mkrel 3
License:	BSD
Group:		Development/Other
URL: 		http://flex.sourceforge.net/
Source0:	https://github.com/westes/flex/releases/download/v%{version}/%{name}-%{oversion}.tar.xz
Patch1:		flex-2.6.1-libtool.patch
BuildRequires:	bison
BuildRequires:	gettext-devel
BuildRequires:	help2man
BuildRequires:	indent
Requires:	m4
Conflicts:	flex-reentrant

%description
The flex program generates scanners. Scanners are
programs which can recognize lexical patterns in text.

Flex takes pairs of regular expressions and C code as input and
generates a C source file as output. The output file is compiled and
linked with a library to produce an executable.

The executable searches through its input for occurrences of the
regular expressions. When a match is found, it executes the
corresponding C code.

Flex was designed to work with both Yacc and Bison, and is used by
many programs as part of their build process.

You should install flex if you are going to use your system for
application development.

%prep
%setup -qn %name-%oversion

%patch1 -p1 -b .LIBT

# Force regeneration of skel.c with corrected pointers.
rm -f skel.c

%build
autoreconf -fi
export CFLAGS="-fPIC %{optflags}"
%configure2_5x \
	--disable-rpath
%make

%install
rm -rf %buildroot
%makeinstall_std

%find_lang %{name}

pushd %{buildroot}
ln -sf flex .%{_bindir}/lex
ln -s flex.1 .%{_mandir}/man1/lex.1
ln -s flex.1 .%{_mandir}/man1/flex++.1
popd

%files -f %{name}.lang
%doc %{_docdir}/%{name}/AUTHORS
%doc %{_docdir}/%{name}/COPYING
%doc %{_docdir}/%{name}/NEWS
%doc %{_docdir}/%{name}/ONEWS
%doc %{_docdir}/%{name}/README
%{_bindir}/*
%{_mandir}/man1/*
%{_libdir}/libfl*.a
%{_includedir}/FlexLexer.h
%{_infodir}/*


%changelog
* Sun Dec 11 2016 adrianomorselli <adrianomorselli> 2.6.2-3uplos2016
- rebuild

* Thu Dec 01 2016 bb <bb> 2.6.2-3pclos2016
- revert to 2.6.1 new version buggy

